### File

`src/ngx-cache-layer.interfaces.ts`

### Index

###### Properties
data key

### Properties

data
`data: `T``
Type : `T`
Defined in src/ngx-cache-layer.interfaces.ts:3

key
`key: `string``
Type : `string`
Defined in src/ngx-cache-layer.interfaces.ts:2

    export interface CacheLayerItem<T> {
      key: string;
      data: T;
    }

    export class CacheServiceConfigInterface {
      deleteOnExpire?: string = 'aggressive';
      cacheFlushInterval: number = 60 * 60 * 1000;
      maxAge: number = 15 * 60 * 1000;
      localStorage: boolean;
    }

    export interface CacheLayerInterface {
      name: string;
      config?: CacheServiceConfigInterface;
      items?: any;
    }

# results matching ""

# No results matching ""